<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE log4j:configuration SYSTEM "log4j.dtd">

<!-- ===================================================================== -->
<!--                                                                       -->
<!--  Log4j Configuration                                                  -->
<!--                                                                       -->
<!-- ===================================================================== -->

<!-- $Id: log4j.xml,v 1.4 2003/08/06 15:44:37 bryan_tripp Exp $ -->

<!--
   | For more configuration infromation and examples see the Jakarta Log4j
   | owebsite: http://jakarta.apache.org/log4j
 -->

<log4j:configuration xmlns:log4j="http://jakarta.apache.org/log4j/" debug="false">

  <!-- ================================= -->
  <!-- Preserve messages in a local file -->
  <!-- ================================= -->

  <appender name="FO3_FILE" class="org.apache.log4j.RollingFileAppender">
    <param name="File" value="fo3editor.log"/>
    <param name="Append" value="true"/>
    <param name="Threshold" value="TRACE"/>
    <param name="MaxFileSize" value="100000KB"/>
    <param name="MaxBackupIndex" value="2"/>

    <layout class="org.apache.log4j.PatternLayout">
      <param name="ConversionPattern" value="%d %-5p [%c] %m%n"/>
    </layout>	    
  </appender>

  <!-- ============================== -->
  <!-- Append messages to the console -->
  <!-- ============================== -->

  <appender name="FO3_CONSOLE" class="org.apache.log4j.ConsoleAppender">
    <param name="Threshold" value="TRACE"/>
    <param name="Target" value="System.out"/>

    <layout class="org.apache.log4j.PatternLayout">
      <param name="ConversionPattern" value="%-5p %d{MM/dd/yyyy HH:mm:ss} (%t) %m%n"/>
    </layout>
  </appender>
  

  <!-- Rolls by size ... will go back to rolling by date again soon -->


  <!-- ============================== -->
  <!--       Define Loggers           -->
  <!-- ============================== -->

  <logger name="fallout3" additivity="false">
        <level value="TRACE"/>
	<appender-ref ref="FO3_CONSOLE"/>
	<appender-ref ref="FO3_FILE"/>
  </logger>	
  
</log4j:configuration>
